using System;

namespace Jméno_dočasného_souboru
{
   class Program
   {
      [STAThread]
      static void Main(string[] args)
      {
         Console.Title = "Jméno dočasnéhéo souboru";

         // Nové jméno pro dočasný soubor 
         string tempFileName = System.IO.Path.GetTempFileName();

         Console.WriteLine(tempFileName);

         Console.WriteLine();
         Console.WriteLine("Stiskni Enter");
         Console.ReadLine();
      }
   }
}
